unit fmain;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, DB, memds, SQLDB, SQLite3Conn, Forms, Controls, Graphics,
  Dialogs, ComCtrls, ExtCtrls, DBCtrls, DBExtCtrls, StdCtrls,
  TplDBControlGridUnit;

type

  { TFormMain }

  TFormMain = class(TForm)
    DBDateEdit1: TDBDateEdit;
    DBDateEdit2: TDBDateEdit;
    DBDateEdit3: TDBDateEdit;
    DBEdit1: TDBEdit;
    DBEdit2: TDBEdit;
    DBEdit3: TDBEdit;
    DBEdit4: TDBEdit;
    DBEdit5: TDBEdit;
    DBEdit6: TDBEdit;
    DBEdit7: TDBEdit;
    DBEdit8: TDBEdit;
    DBEdit9: TDBEdit;
    DSMDUsers: TDataSource;
    DSUsers: TDataSource;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    MDUsers: TMemDataset;
    PageControl1: TPageControl;
    PanelSQ_DS: TPanel;
    PanelMD_PMD: TPanel;
    PanelMDsetF: TPanel;
    plDBControlGrid1: TplDBControlGrid;
    plDBControlGrid2: TplDBControlGrid;
    plDBControlGrid3: TplDBControlGrid;
    SQLite3C: TSQLite3Connection;
    SQLQUsers: TSQLQuery;
    SQLTr: TSQLTransaction;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    procedure FormShow(Sender: TObject);
  private

  public

  end;

var
  FormMain: TFormMain;

implementation

{$R *.frm}

{ TFormMain }

procedure TFormMain.FormShow(Sender: TObject);
Var I:Integer;
    Tsql:TsqlQuery;
begin
  Tsql:= TSQlQuery.Create(nil);
  Tsql.DataBase := SQLite3C;
  SqLite3c.DatabaseName:=getCurrentDir+'\test.db';
  tSql.Transaction:= SQLTr;
  if(MDUsers.Active = FALSE) THEN BEGIN
     MDUsers.Open;
     for i:=0 to 10 do begin
       MDUsers.Append;
       MDUsers.FieldByName('id').AsInteger:= I;
       MDUsers.FieldByName('Name').AsString:= 'User Name '+ inttostr(i);
       MDUsers.FieldByName('lastName').AsString:= 'Last Name '+ inttostr(i);
       MDUsers.FieldByName('BirthDate').AsDateTime:= now;
       MDUsers.post;
     end;
  end;
  if( not FileExists(getCurrentDir+'\test.db')) then begin
    SqLite3c.CreateDB;
    SqLite3c.ExecuteDirect('CREATE TABLE USERS (ID INTEGER ,NAME VARCHAR(30) NOT NULL, LASTNAME VARCHAR(30) , BIRTHDATE DATE  );');
    SqLite3c.Connected:=TRUE;
    FOR I:=0 TO 10 DO BEGIN
       tSQL.SQL.Text:='INSERT INTO USERS (ID, NAME, LASTNAME , BIRTHDATE) VALUES(:PID, :PNAME, :PLNAME, :PBDATE)';
       tSQL.ParamByName('PID').AsInteger:=I;
       tSQL.ParamByName('PNAME').AsString:='Name '+inttostr(i);
       tSQL.ParamByName('PLNAME').AsString:='Last Name '+inttostr(i);
       tSQL.ParamByName('PBDate').AsDateTime:=now;
       tSQL.ExecSQL;
    end;
  end;
  SQLQUsers.open;

end;

end.

